import { TZDate } from './tuical/toastui-calendar';

export function clone(date) {
  return new TZDate(date);
}

export function addHours(d, step) {
  const date = clone(d);
  date.setHours(d.getHours() + step);

  return date;
}

export function addDate(d, step) {
  const date = clone(d);
  date.setDate(d.getDate() + step);

  return date;
}

export function subtractDate(d, steps) {
  const date = clone(d);
  date.setDate(d.getDate() - steps);

  return date;
}

export function diffMilliseconds(d1, d2) {
  return d1.getTime() - d2.getTime();
}

export function diffDays(d1, d2) {
  var ms = diffMilliseconds(d1,d2);
  var d = ms / 3600000
  return parseInt(d/24)
}
